---
type: api
title: Get a short URL
description: Get a single Kibana short URL.
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v0/operation/operation-get-url
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v0/operation/operation-get-url
products:
  - Kibana
---

# Get a short URL

Availability:

- Server: `https://{kibana_url}`

## Paths

- `GET` `/api/short_url/{id}`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v0/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v0/authentication#basicauth)

#### Path Parameters

- `id` (string)
  The identifier for the short URL.

## Description

Get a single Kibana short URL.

## Response

Indicates a successful call.

`application/json`

- `accessCount` (integer)
  Number of times the short URL has been resolved.
- `accessDate` (integer)
  Unix epoch (milliseconds) of the last time the short URL was resolved. Set to the creation time when the URL has never been accessed.
- `createDate` (integer)
  Unix epoch (milliseconds) when the short URL was created.
- `id` (string)
  The identifier for the short URL.
- `locator` (object)
  - `id` (string)
    The identifier for the locator.
  - `state` (object)
    The locator parameters.
  - `version` (string)
    The version of Kibana when the short URL was created.
- `slug` (string)
  A random human-readable slug is automatically generated if the `humanReadableSlug` parameter is set to `true`. If it is set to `false`, a random short string is generated.
## Code Examples

#### Console

```console
GET /api/short_url/{id}
```

#### curl

```curl
curl -X GET "https://{kibana_url}/api/short_url/{id}"
```

## Response Examples

#### Short URL retrieved by ID

The short URL record matching the given identifier.

```json
{
  "accessCount": 12,
  "accessDate": 1767744000000,
  "createDate": 1767225600000,
  "id": "c54b04f5d4b3aa3c",
  "locator": {
    "id": "DASHBOARD_APP_LOCATOR",
    "state": {
      "dashboardId": "edf84fe0-e1a0-11e7-b6d5-4dc382ef7f5b",
      "timeRange": {
        "from": "now-7d",
        "to": "now"
      }
    },
    "version": "9.4.0"
  },
  "slug": "my-dashboard"
}
```

